Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class OpenNewWindowMenu

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.ui.actions.PerspectiveMenu
              org.eclipse.ui.actions.OpenNewWindowMenu

All Implemented Interfaces:
  IContributionItem

Deprecated. See IWorkbench.showPerspective methods.

public class OpenNewWindowMenu
extends PerspectiveMenu

A menu for window creation in the workbench.

An `OpenNewWindowMenu` is used to populate a menu with "Open Window" actions. One item is added for each shortcut perspective, as defined by the product ini. If the user selects one of these items a new window is created in the workbench with the given perspective.

The visible perspectives within the menu may also be updated dynamically to reflect user preference.

The input for the page is determined by the value of `pageInput`. The input should be passed into the constructor of this class or set using the `setPageInput` method.

This class may be instantiated; it is not intended to be subclassed.

Constructor Summary
`OpenNewWindowMenu(IWorkbenchWindow window)` Deprecated. Constructs a new instance of `OpenNewPageMenu`.
`OpenNewWindowMenu(IWorkbenchWindow window, IAdaptable input)` Deprecated. Constructs a new instance of `OpenNewPageMenu`.

Method Summary
`protected void` | `run(IPerspectiveDescriptor desc)` Deprecated. Runs an action for a particular perspective.
`void` | `setPageInput(IAdaptable input)` Deprecated. Sets the page input.

Methods inherited from class org.eclipse.ui.actions.PerspectiveMenu
`fill, getPerspectiveItems, getShowActive, getWindow, isDirty, isDynamic, run, showActive`

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, fill, fill, getId, getParent, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenNewWindowMenu

    public OpenNewWindowMenu(IWorkbenchWindow window)

  Deprecated.
  Constructs a new instance of `OpenNewPageMenu`.

  If this method is used be sure to set the page input by invoking `setPageInput`. The page input is required when the user selects an item in the menu. At that point the menu will attempt to open a new page with the selected perspective and page input. If there is no page input an error dialog will be opened.

Parameters:
  `window` - the window where a new page is created if an item within the menu is selected

### OpenNewWindowMenu

    public OpenNewWindowMenu(IWorkbenchWindow window,
                             IAdaptable input)

  Deprecated.
  Constructs a new instance of `OpenNewPageMenu`.

Parameters:
  `window` - the window where a new page is created if an item within the menu is selected
  `input` - the page input

Method Detail

### run

    protected void run(IPerspectiveDescriptor desc)

  Deprecated.
  Description copied from class: `PerspectiveMenu`
  Runs an action for a particular perspective. The behavior of the action is defined by the subclass.

  Specified by:
    `run` in class `PerspectiveMenu`
  Parameters:
    `desc` - the selected perspective

### setPageInput

    public void setPageInput(IAdaptable input)

  Deprecated.
  Sets the page input.

  Parameters:
    `input` - the page input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.